LibreOffice: XFastTokenHandler Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XFastTokenHandler Interface Reference

interface to translate XML strings to integer tokens. More...

`import "XFastTokenHandler.idl";`

Inheritance diagram for XFastTokenHandler:

## Public Member Functions
long | getTokenFromUTF8 ([in] sequence< byte > Identifier)
| returns an integer token for the given string
sequence< byte > | getUTF8Identifier ([in] long Token)
| returns an identifier for the given integer token as a byte sequence encoded in UTF-8.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

interface to translate XML strings to integer tokens.

An instance of this interface can be registered at a XFastParser. It should be able to translate all XML names (element local names, attribute local names and constant attribute values) to integer tokens.

A token value must be greater or equal to zero and less than FastToken::NAMESPACE. If a string identifier is not known to this instance, FastToken::DONTKNOW is returned.

## Member Function Documentation

## ◆ getTokenFromUTF8()

long getTokenFromUTF8 | ( | [in] sequence< byte > | Identifier | ) |

returns an integer token for the given string

Parameters

  Identifier | the string given as a byte sequence encoded in UTF-8

Returns
  a unique integer token for the given String or FastToken::DONTKNOW if the identifier is not known to this instance.

## ◆ getUTF8Identifier()

sequence< byte > getUTF8Identifier | ( | [in] long | Token | ) |

returns an identifier for the given integer token as a byte sequence encoded in UTF-8.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XFastTokenHandler.idl